/***************************************************************************
 *   Copyright (C) 2009 by QEVEN Team                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 **************************************************************************/

#ifndef PROJECT_GUI_H
#define PROJECT_GUI_H

#include <QtGui/QDialog>
#include "ui_project_gui.h"
#include "enum.h"

class Project_GUI: public QDialog
{
   Q_OBJECT

    public:
   Project_GUI( QWidget *parent = 0 );
   ~Project_GUI();

    public slots:
   void select_Project();
   void changeInfo( int );

    private:
   Ui::Project_GUIClass ui;

    signals:
   void signal_selected_project( const e_video_format & );

};

#endif // PROJECT_GUI_H
