/***************************************************************************
 *   Copyright (C) 2009 by QEVEN Team                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 **************************************************************************/

#ifndef QSPACEBAR_H
#define QSPACEBAR_H

#include <QProgressBar>

/** @class QSpaceBar    
    Esta hereda de QProgressBar para reimplementar el
    metodo QString text(), para que en vez de mostrar
    el porciento de completado de la barra, muestre
    el valor concatenado con el simbolo %, lo cual 
    seria el verdadero porciento de capacidad ocupada
    El componente agregado en el Desginer es de tipo QSpaceBar.
    @author Roberto Ferrer <rferrer@uci.cu>
*/
class QSpaceBar : public QProgressBar
{
    public:
   QSpaceBar(QWidget* parent=0);
   ~QSpaceBar();

   virtual QString text() const;
};

#endif
